Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158533 - devhelp not updated for new mozilla
Summary: devhelp not updated for new mozilla
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: devhelp
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 12:49 UTC by Jason Bradley Nance
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-25 11:15:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:435 normal SHIPPED_LIVE Important: mozilla security update 2005-05-24 04:00:00 UTC

Description Jason Bradley Nance 2005-05-23 12:49:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Red Hat/1.0.3-1.4.1 Firefox/1.0.3

Description of problem:
devhelp requires Mozilla 1.7.7.  Mozilla 1.7.8 was pushed out today as per RHSA-2005:435-06.  Systems with devhelp-0.9.2-2.4.4 installed will fail to update to 1.7.8 due to the reliance on Mozilla 1.7.7.

Version-Release number of selected component (if applicable):
devhelp-0.9.2-2.4.4

How reproducible:
Always

Steps to Reproduce:
1. Run up2date.
2. Choose to update Mozilla.
3. Watch up2date fail to resolve dependencies.
  

Actual Results:  Dependencies fail to resolve, packages go un-updated.

Expected Results:  devhelp updated along with new mozilla to version built against new mozilla.

Additional info:

Comment 1 Yue Shi Lai 2005-05-23 23:20:58 UTC
If this helps anybody, there is a simple workaround:

1. Run "rpm -e devhelp" to remove the dependency.

2. Run "up2date".

3. Download devhelp-0.9.2-2.4.4.i386.rpm (change i386 to whatever your platform 
is, if neccessary) from RHN.

4. Install with "rpm -ivh --nodeps devhelp-0.9.2-2.4.4.i386.rpm".

5. Open /usr/bin/devhelp and change (obviously) the line

MOZILLA_HOME=/usr/lib/mozilla-1.7.7

to

MOZILLA_HOME=/usr/lib/mozilla-1.7.8

The reason why this is neccessary is because devhelp is linked against 
libgtkembedmoz, which unfortunately sits in a version-specific path. Contrary to 
Comment #1, I think there is no actual need to relink against the new 
libgtkembedmoz.

Maybe it would be a better structure if libraries such as libgtkembedmoz are 
available from /usr/lib/mozilla (e.g. using symbolic links), so that you do not 
have to carry a pile of package dependencies with each Mozilla minor release.

Comment 2 Yue Shi Lai 2005-05-23 23:26:31 UTC
Slight correctio to Comment #2: It is also linked against libxpcom.so, and 
furthermore, the libraries expect themselves to be inside a version specific 
Mozilla directory, so my last paragraph is wrong.

Comment 3 Mark J. Cox 2005-05-25 11:15:33 UTC
Fixed, https://rhn.redhat.com/errata/RHSA-2005-435.html



Note You need to log in before you can comment on or make changes to this bug.